Mandrake Linux Security Advisory : shadow-utils (MDKSA-2004:126)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing a security update.

Description :

A vulnerability in the shadow suite was discovered by Martin Schulze
that can be exploited by local users to bypass certain security
restrictions due to an input validation error in the passwd_check()
function. This function is used by the chfn and chsh tools.

The updated packages have been patched to prevent this problem.

See also :

http://secunia.com/advisories/13028

Solution :

Update the affected shadow-utils package.

Risk factor :

Medium / CVSS Base Score : 4.6
(CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 15637 (mandrake_MDKSA-2004-126.nasl)

Bugtraq ID:

CVE ID: CVE-2004-1001

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now